package eu.eudat.depositinterface.repository;

public class RepositoryDepositConfiguration {

    public enum DepositAccountStatus {
        SystemDeposit(0), UserDeposit(1), BothWaysDeposit(2);

        private int value;

        DepositAccountStatus(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }

        public static DepositAccountStatus fromInteger(int value) {
            switch (value) {
                case 0:
                    return SystemDeposit;
                case 1:
                    return UserDeposit;
                case 2:
                    return BothWaysDeposit;
                default:
                    throw new RuntimeException("Unsupported Deposit Account Status");
            }
        }
    }

    private int depositAccountStatus;
    private String repositoryId;
    private String accessToken;
    private String repositoryUrl;
    private String repositoryAuthorizationUrl;
    private String repositoryRecordUrl;
    private String repositoryLoginAccessTokenUrl;
    private String repositoryLoginClientId;
    private String repositoryLoginClientSecret;
    private String repositoryLoginRedirectUri;

    public int getDepositAccountStatus() {
        return depositAccountStatus;
    }
    public void setDepositAccountStatus(int depositAccountStatus) {
        this.depositAccountStatus = depositAccountStatus;
    }

    public String getRepositoryId() {
        return repositoryId;
    }
    public void setRepositoryId(String repositoryId) {
        this.repositoryId = repositoryId;
    }

    public String getAccessToken() {
        return accessToken;
    }
    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getRepositoryUrl() {
        return repositoryUrl;
    }
    public void setRepositoryUrl(String repositoryUrl) {
        this.repositoryUrl = repositoryUrl;
    }

    public String getRepositoryAuthorizationUrl() {
        return repositoryAuthorizationUrl;
    }
    public void setRepositoryAuthorizationUrl(String repositoryAuthorizationUrl) {
        this.repositoryAuthorizationUrl = repositoryAuthorizationUrl;
    }

    public String getRepositoryRecordUrl() {
        return repositoryRecordUrl;
    }
    public void setRepositoryRecordUrl(String repositoryRecordUrl) {
        this.repositoryRecordUrl = repositoryRecordUrl;
    }

    public String getRepositoryLoginAccessTokenUrl() {
        return repositoryLoginAccessTokenUrl;
    }
    public void setRepositoryLoginAccessTokenUrl(String repositoryLoginAccessTokenUrl) {
        this.repositoryLoginAccessTokenUrl = repositoryLoginAccessTokenUrl;
    }

    public String getRepositoryLoginClientId() {
        return repositoryLoginClientId;
    }
    public void setRepositoryLoginClientId(String repositoryLoginClientId) {
        this.repositoryLoginClientId = repositoryLoginClientId;
    }

    public String getRepositoryLoginClientSecret() {
        return repositoryLoginClientSecret;
    }
    public void setRepositoryLoginClientSecret(String repositoryLoginClientSecret) {
        this.repositoryLoginClientSecret = repositoryLoginClientSecret;
    }

    public String getRepositoryLoginRedirectUri() {
        return repositoryLoginRedirectUri;
    }
    public void setRepositoryLoginRedirectUri(String repositoryLoginRedirectUri) {
        this.repositoryLoginRedirectUri = repositoryLoginRedirectUri;
    }
}
